HttpResponse::setContentType
HttpResponse::setETag
The HttpResponse
PHP Manual

# HttpResponse::setData

(PECL pecl_http:0.10.0-1.5.5)

HttpResponse::setData — Set data

### Description

static bool HttpResponse::setData ( mixed `$data` )

Set the data to be sent.

> Note: Previously calculated or defined ETag and Last-Modified will be recalculated and redefined.

### Parameters

`data`

  data to send

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- HttpResponse::getData
- HttpResponse::getFile
- HttpResponse::setFile
- HttpResponse::getStream
- HttpResponse::setStream

HttpResponse::setContentType
HttpResponse::setETag
The HttpResponse
PHP Manual